%define srcversion 095

Name:            homestead
Version:         0.95
Release:         1.art
Summary:         3D real-time network visualiser

Group:           Applications/Internet
License:         GPLv2+ 
URL:             http://homestead.sourceforge.net/
Source0:         http://downloads.sourceforge.net/%{name}/%{name}%{srcversion}.tar.gz
Source1:         %{name}.desktop
Source2:         %{name}.png
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:   freeglut-devel
#BuildRequires:   libpcap-devel
BuildRequires:  %{_includedir}/pcap.h
BuildRequires: %{_includedir}/GL/gl.h

BuildRequires:   desktop-file-utils


%description
Homestead is a 3D real-time network visualizer, displaying 
hosts and packet traffic. Features include support for 
multiple sensors, analysis of packets to gather hostnames 
and services, configurable layout of subnetworks, 
recording/replaying of packet traffic, and the ability 
to filter packets by host, protocol or port. 
hsen (Homestead Sensor) is a packet capture daemon which
reads and sends packet header information to Homestead, 
locally or remotely. hsen also equates hostname to IP 
by reading DNS packets (UDP type A class IN standard 
query response). The relationship between hsen to Homestead 
can be one-to-one, one-to-many, many-to-one or many-to-many 
(many Homesteads would be on multiple computers on the 
same subnet, receiving packet header information 
from hsen via broadcast).


%package sampler
Summary:        Sampling client for %{name}
Group:          Applications/Internet
License:        GPLv2+ 


%description sampler
hsen (Homestead Sensor) is a (possibly remote) packet capture daemon which
reads and sends packet header information to Homestead, locally or remotely.
hsen also equates hostname to IP by reading DNS packets (UDP type A class IN
standard query response).


%prep
%setup -q -n %{name}%{srcversion}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install -p DESTDIR=%{buildroot}

desktop-file-install %{SOURCE1} \
                     %if 0%{?rhel}
                     --vendor="" \
                     %endif
       --dir=%{buildroot}%{_datadir}/applications 

install -Dpm 0644 %{SOURCE2} \
       %{buildroot}%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%files sampler
%defattr(-,root,root,-)
%{_sbindir}/hsen
%{_mandir}/man8/hsen.*


%changelog
* Fri Nov 21 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.95-1
- Update to 0.95

* Thu Nov 20 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.94-1
- Update to 0.94

* Mon Nov 17 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.93-1
- Update to 0.93

* Tue Nov 11 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.92-1
- Update to 0.92

* Thu Nov 06 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.91-1
- Update to 0.91

* Wed Nov 05 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.90-1
- Update to 0.90

* Tue Nov 04 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.89-1
- Update to 0.89

* Mon Nov 03 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.88-1
- Update to 0.88

* Thu Oct 30 2008 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> - 0.87-2
- adjust for EPEL

* Mon Oct 27 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.87-1
- Update to 0.87

* Fri Oct 24 2008 R P Herrold <info@owlriver.com> - 0.86-2
- split out a -sampler sub-package to avoid dragging in the unneeded 
  GUI on remote TUI only sample heads

* Wed Oct 22 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.86-1
- Update to 0.86

* Fri Oct 17 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.85-1
- Update to 0.85
- Correct License Tag

* Sun Sep 21 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.84-1
- Update to 0.84
- Add desktop-file

* Mon Sep 15 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.83-1
- Update to 0.83

* Sun Aug 24 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.81-1
- Initial release


